Subject: Re: bug#1288: 23.0.60; completion-ignored-extensions doc bug?

From: Stephen Berman <[email-masked]>
Date: Sat, 01 Nov 2008 20:35:52 +0100

The following message is a courtesy copy of an article
that has been posted to gmane.emacs.bugs,gmane.emacs.pretest.bugs as well.

On Fri, 31 Oct 2008 21:37:16 -0400 Stefan Monnier <[email-masked]> wrote:

>> Thanks, and sorry for forgetting about that.  (But in rereading the doc
>> string now, it seems either ambiguously worded or even wrong:
>
>> "Completion ignores file names ending in any string in this list.
>> It does not ignore them if all possible completions end in one of
>> ^^^^^^^^^^^^^^^^^^^^^^^
>> these strings or when displaying a list of completions.
>>                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>> It ignores directory names if they match any string in this list which
>> ends in a slash."
>
>> This seems to be saying that the *Completions* buffer should display the
>> file names libthread_db-1.0.so and libthread_db.so in the above
>> scenarios, but that is not what happens.  Or am I misconstruing the doc
>> string?  If so, perhaps it can be rephrased more clearly.
>
> In your examples, you hit "/usr/lib/libthr TAB" which does not display
> the completions for "libthr" but instead performs the completion.
> You only get a *Completions* buffer on the second TAB, at which point
> the minibuffer input is "/usr/lib/libthreadweaver.so.4" for which
> there's no *.so file to display any more.
> If instead of the first TAB you press ? then you'll see the .so
> file listed.
>
>
>         Stefan

Thanks (again) for setting me straight.

Steve Berman